Subject: Re: [PATCH]Enabling Auto poweron after power is restored.

From: [email-masked] (Linas Vepstas)
Date: Wed, 10 Jan 2007 14:58:12 -0600

On Tue, Jan 09, 2007 at 09:05:19AM -0600, Nathan Lynch wrote:
> Paul Mackerras wrote:
> > Manish Ahuja writes:
> > 
> > > During power outages, the ups notifies the system for a shutdown. In the 
> > > current setup, it isn't possible to power on when power is restored. 
> > > This patch fixes the issue by calling the right ibm,power-off-ups token 
> > > during such events. It also adds a proc interface so that rc.powerfail 
> > > can parse the epow events and modify the power-off behavior accordingly 
> > > to enable the right token to be called.
> > 
> > Creating new non-process-related files in /proc is frowned upon these
> > days, so we'll have to find somewhere in /sys for this.  Anybody got a
> > suggestion?
> 
> Maybe a sysctl instead?

What's a sysctl?

Create a new /sys/class/rtas class? 
There's a suggestive /sys/firmware directory, but  don't know why its
there... 

-- linas